Subject: bug#69561: 30.0.50; Freeze from M-x gnus on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2024 15:27:43 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 09 Mar 2024 14:21:22 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Right, sorry, C-g came only into play because I tbought the current
> >> sitution might become bearable if it could at least be interrupted with
> >> C-g. And then I understoof the drama better.
> >> 
> >> If you take a look at the first hunk of the patch I sent, you can see
> >> that ns_select can do _nothing_ interesting at all, it just returns -1.
> >
> > But your patch still doesn't solve the problem, does it?
> 
> I'd say it does:
> 
> - it ensures that a "real" select is called, which formerly wasn't
>   guaranteed
>   
> - it makes sure that queued input_events are passed to Emacs, for C-g
>   detection, Vquit_flag and so on.
>   
> - it makes sure NS events are processed, so that C-g has a chance to get
>   into the queued input_events in the first place, from processing
>   keyDown events.

In that case, I think you should proceed by collecting experience with
this patch.  If the freezes indeed go away, then I think you should
install it.